<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'badges', language 'en_us_k12', version '3.8'.
 *
 * @package     badges
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addcourse'] = 'Add classes';
$string['addcourse_help'] = 'Select all classes that should be added to this badge requirement. Hold CTRL key to select multiple items.';
$string['allmethodcourseset'] = 'All of the selected classes are complete';
$string['allowcoursebadges'] = 'Enable class badges';
$string['allowcoursebadges_desc'] = 'Allow badges to be created and awarded in the class context.';
$string['anymethodcourseset'] = 'Any of the selected classes is complete';
$string['badgesview'] = 'Class badges';
$string['completionnotenabled'] = 'Class completion is not enabled for this class, so it cannot be included in badge criteria. Class completion may be enabled in the class settings.';
$string['coursebadgesdisabled'] = 'Class badges are not enabled on this site.';
$string['coursecompletion'] = 'Users must complete this class.';
$string['criteria_1_help'] = 'Allows a badge to be awarded to users based on the completion of a set of activities within a class.';
$string['criteria_2_help'] = 'Allows a badge to be awarded manually by users who have a particular role within the site or class.';
$string['criteria_4'] = 'Class completion';
$string['criteria_4_help'] = 'Allows a badge to be awarded to users who have completed the class. This criterion can have additional parameters such as minimum grade and date of class completion.';
$string['criteria_5'] = 'Completing a set of classes';
$string['criteria_5_help'] = 'Allows a badge to be awarded to users who have completed a set of classes. Each class can have additional parameters such as minimum grade and date of class completion.';
$string['criteria_descr_4'] = 'Users must complete the class';
$string['criteria_descr_5'] = '<strong>{$a}</strong> of the following classes have to be completed:';
$string['criteria_descr_short4'] = 'Complete the class';
$string['criteria_descr_single_4'] = 'Users must complete the class';
$string['criteria_descr_single_5'] = 'The following class has to be completed:';
$string['criteria_descr_single_short4'] = 'Complete the class';
$string['error:noactivities'] = 'There are no activities with completion criteria enabled in this class.';
$string['error:nocourses'] = 'Class completion is not enabled for any of the classes in this site, so none can be displayed. Class completion may be enabled in the class settings.';
$string['error:nosuchcourse'] = 'Warning: This class is no longer available.';
$string['error:notifycoursedate'] = 'Warning: Badges associated with class and activity completions will not be issued until the class start date.';
$string['localbadgesh_help'] = 'All badges earned within this web site by completing classes, class activities, and other requirements.

You can manage your badges here by making them public or private for your profile page.

You can download all of your badges or each badge separately and save them on your computer. Downloaded badges can be added to your external backpack service.';
$string['requiredcourse'] = 'At least one class should be added to the classeset criterion.';
$string['sitebadges_help'] = 'Site badges can only be awarded to users for site-related activities. These include completing a set of classes or parts of user profiles. Site badges can also be issued manually by one user to another.

Badges for class-related activities must be created at the class level. Class badges can be found under Class Administration > Badges.';
