<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_lmb', language 'en_us_k12', version '3.8'.
 *
 * @package     enrol_lmb
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['categorytype'] = 'Class Categories';
$string['categorytypehelp'] = 'This allows you select what categories you would like classes to be created in. Options:
<ul>
<li>Terms: This setting will cause classes to be placed in categories with the name of their term/semester.
<li>Departments: This setting will cause classes to be placed in categories with the name of their host department.
<li>Department Codes: Uses the department short code, instead of full name.
<li>Terms then Departments: This setting will cause classes to be placed in categories with the name of their host department, which is contained in a parent term named for the term/semester.
<li>Terms then Department Codes: Same as Terms then Departments, but uses the department short code instead of its full name.
<li>Selected: With this setting, select the existing category you would like classes to be placed in from the second drop down menu.
</ul>';
$string['computesectionshelp'] = 'Compute the number of sections/topics to display, based on the number of weeks in a class.';
$string['coursehidden'] = 'Create new classes as hidden';
$string['coursehiddenhelp'] = 'Specify if new classes should be created hidden or not. Options:
<ul>
<li>Never: Classes will never be created hidden (ie always created visible)
<li>Based on cron setting: Class will be created with it\'s visibility set based on the \'Unhide this many days before class start\' setting. If the class start date has already past, or starts within the number of days specified, it will be visible. If it occurs further in the future, it will be created hidden.
<li>Always: Classes will always be created hidden
</ul>';
$string['courseshorttitle'] = 'Class short name';
$string['courseshorttitlehelp'] = 'This contains the template for creating the short class name. See above for available tags.';
$string['coursetitle'] = 'Class full name';
$string['coursetitlehelp'] = 'This contains the template for creating the full class name.
<p>You can dictate how you would like the class full and short names formatted using the following flags. Any occurrence of these flags in the setting will
be replaced with the appropriate information about the class. Any text that is not apart of a flag will be left as is.</p>
<p><ul>
<li>[SOURCEDID] - Same as [CRN].[TERM]<br />
<li>[CRN] - The class/section number<br />
<li>[TERM] - The term code<br />
<li>[TERMNAME] - The full name of the term<br />
<li>[LONG] - The same as [DEPT]-[NUM]-[SECTION]<br />
<li>[FULL] - The full title of the class<br />
<li>[RUBRIC] - The same as [DEPT]-[NUM]<br />
<li>[DEPT] - The short department code<br />
<li>[NUM] - The department code for the class<br />
<li>[SECTION] - The section number of the class<br />
</ul></p>
<p>Example: The setting \'[RUBRIC]-[CRN]-[FULL]\' would look like \'ENG-341-12345-English History\' for a class with that information.</p>';
$string['cronunhidecourses'] = 'Unhide Classes';
$string['cronunhidecourseshelp'] = 'With this option selected, each night around midnight, the module will automatically unhide and Banner/LMB classes that start within the number of days specified in \'Unhide this many days before class start\'. For example, if this option is selected, \'Unhide this many days before class start\' is set to 7, and there is a class that starts on 2009-06-14, then it will automatically be made visible on the morning of 2009-06-07. The start date of the class is determined by the timeframe->begin date supplied with the class by Banner/LMB.';
$string['cronunhidedays'] = 'Unhide this many days before class start';
$string['cronunhidedayshelp'] = 'This is the number of days before the start of a class to unhide it. Set to 0 for the class to unhide on the day it starts.';
$string['disableenrolhelp'] = 'Disable enrollments instead of unenrolling them. Prevents possible data loss in some versions and configurations of Moodle when users are dropped and re-added to a class.';
$string['filtermodehelp'] = 'Term filtering allows the selective disabiling of processing of term, class, and enrollment messages that petain to filtered terms. This setting selects what mode the term filter will run in
<ul>
<li>Off - No filtering will take place.
<li>Whitelist - In whitelist mode, terms that are matched in the Filter list are processed normally. All other terms are filtered out (not processed).
<li>Blacklist - In blacklist mode, terms that are matched in the Filter list are filtered out (not processed). All other terms are processed normally.
</ul>
Filtering a term that is already on the system will not remove it, only new updated from Banner will be skipped. Making a term no longer filtered will not cause previously filtered messages to take effect - you should run a full extract whenever you \\"unfilter\\" a term.';
$string['forceshorttitle'] = 'Force class short name on update';
$string['forceshorttitlehelp'] = 'If this option is selected then whenever an update occurs to a class through LMB/Banner the short name will be set as described in the \'Class short name\' settings, even if the short name has been manually changed. If is option is not set, then the short name will only be set during initial class creation.';
$string['forcetitle'] = 'Force class name on update';
$string['forcetitlehelp'] = 'If this option is selected then whenever an update occurs to a class through LMB/Banner the name will be set as described in the \'Class full name\' settings, even if the name has been manually changed. If is option is not set, then the name will only be set during initial class creation.';
$string['lmb:unenrol'] = 'Unenroll users from the class';
$string['lmb:unenrolself'] = 'Unenroll self from the class';
$string['parsecourse'] = 'XML Parse - Class';
$string['parsecoursexml'] = 'Parse Class XML';
$string['parsecoursexmlhelp'] = 'Process class XML records. When unchecked, records will be completely skipped.';
$string['parseenrolxmlhelp'] = 'Process enrollment records. Parse Class and Parse Person must be on. When unchecked, records will be completely skipped.';
$string['parsexlsxmlhelp'] = 'When checked, Crosslist XML will be processed. Class XML parsing must be on. When unchecked, records will be completely skipped.';
$string['recovergradeshelp'] = 'If users are being re-enrolled in a class, try and recover old grades. This was the standard behavior in Moodle 1.9.x and below.';
$string['unenrolmember'] = 'Unenroll members from class when directed';
$string['unenrolmemberhelp'] = 'Unenroll (or \'drop\') members from a class when an appropriate XML message is received.';
$string['usemoodlecoursesettings'] = 'Use Moodle default class settings';
$string['usemoodlecoursesettingshelp'] = 'When creating a new class, use the default class setting options found in the Moodle admin settings, instead of the settings hard-coded in this module.';
$string['xlsmergecourse'] = 'Merged class';
$string['xlsmergegroups'] = 'Place users in merged classes into groups';
$string['xlsmergegroupshelp'] = 'If this option is selected, then users will be placed into groups with a merged class based on their original class number.';
$string['xlsmetacourse'] = 'Meta class';
$string['xlsshorttitle'] = 'Crosslisted class short name';
$string['xlsshorttitlehelp'] = 'This contains the template for creating the short class name for crosslisted classes. See Crosslist full title description for details.';
$string['xlsshorttitlerepeathelp'] = 'This contains the template for [REPEAT] section of the class short name, and will be repeated for each member class in the crosslist. See Crosslist full repeater description for details.';
$string['xlstitle'] = 'Crosslisted class full name';
$string['xlstitledividerhelp'] = 'This is the string that will be placed between each member string defined in \'Full name repeater\'.
<p>The \'name divider\' is placed between each \'name repeater\'/</p>
<p>The \'name divider\' should not contain any replacement flags.</p>
<p>Example: Say you have two classes, 12345.200710 and 54321.200710, and they are crosslisted with the crosslist code XLSAA200710. If you set \'Crosslisted class full name\' to \'[XLSID] - [REPEAT]\', \'Full name repeater\' to \'[CRN]\', and \'Full name divider\' to \' / \', the resulting full title of the crosslisted class would be \'XLSAA200710 - 12345 / 54321\'.</p>';
$string['xlstitlehelp'] = 'This contains the template for creating the full class name for crosslisted classes.
<p>The crosslisted name template works in the same way, as the \'Class full name\' setting, with a few differences, as outlined here.</p>
<p>The crosslisted name template can contain the same flags as \'Class full name<?php helpbutton(\'classtitle\', \'More detail about this option\', \'enroll-lmb\'); ?>\'. If any of these flags are found, they will be replaced with the corresponding data from the first class to join the crosslist</p>
<p>In addition to the standard flags, 2 new flags are added:
<ul>
<li>[XLSID] - The Banner identifier for the crosslist<br />
<li>[REPEAT] - The flag will be replaced by the string generated with the \'name repeater\' and \'name divider\' settings.<br />
</ul></p>
<p>Example: Say you have two classes, 12345.200710 and 54321.200710, and they are crosslisted with the crosslist code XLSAA200710. If you set \'Crosslisted class full name\' to \'[XLSID] - [REPEAT]\', \'Full name repeater\' to \'[CRN]\', and \'Full name divider\' to \' / \', the resulting full title of the crosslisted class would be \'XLSAA200710 - 12345 / 54321.</p>';
$string['xlstitlerepeathelp'] = 'This contains the template for [REPEAT] section of the class full name, and will be repeated for each member class in the crosslist.
<p>The \'name repeater\' value works the same way as the \'Class full name\' setting, except that it will be repeated for each member class in the crosslist, and the \'name divider\' will be placed in between subsequent repetitions.</p>
<p>The name repeaters can contain the same flags as \'Class full name<?php helpbutton(\'classtitle\', \'More detail about this option\', \'enroll/lmb\'); ?>\'.</p>
<p>In addition to the standard flags, 1 new flags is added:
<ul>
<li>[XLSID] - The Banner identifier for the crosslist<br />
</ul></p>
<p>Example: Say you have two classes, 12345.200710 and 54321.200710, and they are crosslisted with the crosslist code XLSAA200710. If you set \'Crosslisted class full name\' to \'[XLSID] - [REPEAT]\', \'Full name repeater\' to \'[CRN]\', and \'Full name divider\' to \' / \', the resulting full title of the crosslisted class would be \'XLSAA200710 - 12345 / 54321\'.</p>';
$string['xlstype'] = 'Crosslisted class type';
$string['xlstypehelp'] = 'This determines how crosslisted classes will be handled in Moodle. Options:
<ul>
<li>Merged class: This setting will cause the separate classes of the crosslist to be left empty, with no enrollments. All members will be enrolled directly into the crosslisted class.
<li>Meta class: This setting will cause members to be enrolled in the individual classes, while the crosslsted class is formed by making a meta-class containing all the individual classes.
</ul>';
