<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_o365', language 'en_us_k12', version '3.8'.
 *
 * @package     local_o365
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['acp_maintenance_coursegroupscheck_desc'] = 'This will check for any Office 365 class groups that may have been manually deleted and recreate them.';
$string['acp_maintenance_coursegroupusers'] = 'Resync users in groups for classes.';
$string['acp_maintenance_coursegroupusers_desc'] = 'This will resync the user membership for all Office 365 groups created for all Moodle classes. This will ensure all, and only, users enrolled in the Moodle class are in the Office 365 group. <br /><b>Note:</b> If you have added any additional users to a class group that are not enrolled in the associated Moodle class, they will be removed.';
$string['acp_parentsite_desc'] = 'Site for shared Moodle class data.';
$string['acp_sharepointcourseselect'] = 'SharePoint Class Selection';
$string['acp_sharepointcourseselect_desc'] = 'Choose which classes will have SharePoint sites created for them. By default, no sites will be created. You can then choose to select specific classes (\\"Custom\\"), or create a SharePoint site for all Moodle classes (\\"Sync All\\").';
$string['acp_sharepointcourseselect_filter'] = 'Filter Classes';
$string['acp_sharepointcourseselect_filtercategory'] = 'Filter by class category';
$string['acp_sharepointcourseselect_instr'] = 'To sort by column, select the column header. Select the checkbox for all classes to be associated with a SharePoint resource. To enable all classes by default, disable this custom feature in the admin settings.';
$string['acp_sharepointcourseselect_off_instr'] = 'SharePoint custom class selection is not enabled. Enable it in the plugin admin settings to use this feature.';
$string['acp_sharepointcourseselect_onall'] = 'Sync All<br />A SharePoint site will be generated for every Moodle class on this site.';
$string['acp_sharepointcourseselect_oncustom'] = 'Custom <a href=\\"{$a}\\">Customize</a><br />Choose which Moodle classes will be associated with a SharePoint site.';
$string['acp_sharepointcourseselect_syncopt_inst'] = 'Because this functionality was recently upgraded, the information shown here may not be accurate. Use the button below to sync this display with existing class subsites on SharePoint. This operation may take some time.';
$string['acp_usergroupcustom_off'] = 'Disabled<br />Disables all Class Groups (i.e. Office 365 Groups) integration for all Moodle classes.';
$string['acp_usergroupcustom_onall'] = 'All Features Enabled<br />Enables Class Groups (i.e. Office 365 Groups) for all classes and exposes all Group features in the Microsoft block for all classes.';
$string['acp_usergroupcustom_oncustom'] = 'Customize<br />Allows you to select which classes to create Class Groups (i.e. Office 365 Groups) for, as well as select which Group features are exposed in the Microsoft block for each class.<br> <span id=\\"adminsetting_usergroups\\" style=\\"font-weight: bold\\"><a href=\\"{$a}\\">Customize groups</a></span>';
$string['errorcoursenotsubsiteenabled'] = 'This class is not SharePoint subsite enabled.';
$string['erroro365apicoursenotfound'] = 'Class not found.';
$string['groups_notebook'] = 'Class Notebook';
$string['groups_notenabled'] = 'Office 365 Groups are not enabled for this class.';
$string['groups_notenabledforcourse'] = 'Office Groups are not enabled for this class.';
$string['settings_sds_coursecreation'] = 'Class Creation';
$string['settings_sds_coursecreation_desc'] = 'These options control class creation in Moodle based on information in SDS.';
$string['settings_sds_coursecreation_enabled'] = 'Create Classes';
$string['settings_sds_coursecreation_enabled_desc'] = 'Create classes for these schools.';
$string['settings_sds_enrolment_enabled_desc'] = 'Enroll students and teachers into classes created from SDS.';
$string['settings_sds_intro_previewwarning'] = '<div class=\\"alert\\"><b>This is a preview feature</b><br />Preview features may not work as intended or may break without warning. Please proceed with caution.</div>';
$string['settings_sds_noschools'] = '<div class=\\"alert alert-info\\">You do not have any schools available in School data sync.</div>';
$string['settings_usergroups'] = 'Class Groups';
$string['settings_usergroups_details'] = 'If enabled, this will create and maintain an Office 365 Group for every class on the site (Default: Disabled). This will create any needed Groups each cron run (and add all current members). After that, group membership will be maintained as users are enrolled or unenrolled from Moodle classes.<br /><b>Note: </b>This feature requires the Microsoft Graph API to be enabled.';
$string['spsite_group_contributors_desc'] = 'All users who have access to manage files for class {$a}';
$string['ucp_index_onenote_desc'] = 'OneNote integration allows you to use Office&nbsp;365 OneNote with Moodle. You can complete assignments using OneNote and easily take notes for your classes.';
$string['webservices_error_sectionnotfound'] = 'The class section could not be found.';
